"""PylonIO
"""

from .massPropertiesIO import MassPropertiesIO


class NacelleIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./mass_properties").read(xml_node)
        return self.mass_properties


class PylonIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./pylon/mass_properties").read(xml_node)
        return self.mass_properties


class EngineIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./engine/mass_properties").read(xml_node)
        return self.mass_properties
