/**
 * @file main_ecological_assessment.cpp
 * @author Katrin Bistreck (katrin.bistreck@tuhh.de)
 * @brief Main for ecological assessment
 * @version 1.0
 * @date 2023-10-13
 *
 * @copyright Copyright (c) 2023
 *
 */

/* The following statements import necessary specific header files*/
#include "toolinfo.h"
#include "ecological_assessment.h"


int main(int argc, char *argv[]) {
    EcologicalAssessment ecologicalAssessment(argc, argv, TOOL_NAME, TOOL_VERSION);
    return ecologicalAssessment.execute();
}


